# coding: utf-8

"""

    # Authentication  <!-- ReDoc-Inject: <security-definitions> -->  # noqa: E501

    OpenAPI spec version: 0.0.0
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ClubTitreClub(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'individu': 'IndividuClub',
        'in_nom': 'str',
        'in_prenom': 'str',
        'ti_lib': 'str'
    }

    attribute_map = {
        'individu': 'individu',
        'in_nom': 'in_nom',
        'in_prenom': 'in_prenom',
        'ti_lib': 'ti_lib'
    }

    def __init__(self, individu=None, in_nom=None, in_prenom=None, ti_lib=None):  # noqa: E501
        """ClubTitreClub - a model defined in Swagger"""  # noqa: E501
        self._individu = None
        self._in_nom = None
        self._in_prenom = None
        self._ti_lib = None
        self.discriminator = None
        if individu is not None:
            self.individu = individu
        if in_nom is not None:
            self.in_nom = in_nom
        if in_prenom is not None:
            self.in_prenom = in_prenom
        if ti_lib is not None:
            self.ti_lib = ti_lib

    @property
    def individu(self):
        """Gets the individu of this ClubTitreClub.  # noqa: E501


        :return: The individu of this ClubTitreClub.  # noqa: E501
        :rtype: IndividuClub
        """
        return self._individu

    @individu.setter
    def individu(self, individu):
        """Sets the individu of this ClubTitreClub.


        :param individu: The individu of this ClubTitreClub.  # noqa: E501
        :type: IndividuClub
        """

        self._individu = individu

    @property
    def in_nom(self):
        """Gets the in_nom of this ClubTitreClub.  # noqa: E501


        :return: The in_nom of this ClubTitreClub.  # noqa: E501
        :rtype: str
        """
        return self._in_nom

    @in_nom.setter
    def in_nom(self, in_nom):
        """Sets the in_nom of this ClubTitreClub.


        :param in_nom: The in_nom of this ClubTitreClub.  # noqa: E501
        :type: str
        """

        self._in_nom = in_nom

    @property
    def in_prenom(self):
        """Gets the in_prenom of this ClubTitreClub.  # noqa: E501


        :return: The in_prenom of this ClubTitreClub.  # noqa: E501
        :rtype: str
        """
        return self._in_prenom

    @in_prenom.setter
    def in_prenom(self, in_prenom):
        """Sets the in_prenom of this ClubTitreClub.


        :param in_prenom: The in_prenom of this ClubTitreClub.  # noqa: E501
        :type: str
        """

        self._in_prenom = in_prenom

    @property
    def ti_lib(self):
        """Gets the ti_lib of this ClubTitreClub.  # noqa: E501


        :return: The ti_lib of this ClubTitreClub.  # noqa: E501
        :rtype: str
        """
        return self._ti_lib

    @ti_lib.setter
    def ti_lib(self, ti_lib):
        """Sets the ti_lib of this ClubTitreClub.


        :param ti_lib: The ti_lib of this ClubTitreClub.  # noqa: E501
        :type: str
        """

        self._ti_lib = ti_lib

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ClubTitreClub, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ClubTitreClub):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
